GCLOUD_COMPUTE_BACKEND-BUCKETS_CREATE(1)

NAME

gcloud compute backend-buckets create - create a backend bucket

SYNOPSIS

gcloud compute backend-buckets create BACKEND_BUCKET_NAME --gcs-bucket-name=GCS_BUCKET_NAME [--description=DESCRIPTION] [--enable-cdn] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute backend-buckets create is used to create backend buckets. Backend buckets define a Google Cloud Storage bucket that can serve content. URL maps define which requests are sent to which backend buckets.

POSITIONAL ARGUMENTS

    BACKEND_BUCKET_NAME
        The name of the backend bucket to create.

REQUIRED FLAGS

    --gcs-bucket-name=GCS_BUCKET_NAME
        The name of the Google Cloud Storage bucket to serve from. The storage bucket must be owned by the project's owner.

OPTIONAL FLAGS

    --description=DESCRIPTION
        An optional, textual description for the backend bucket.

    --enable-cdn
        Enable Cloud CDN for the backend bucket. Cloud CDN can cache HTTP responses from a backend bucket at the edge of the network, close to users.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.